DROP TABLE T_RHSTU_MEDICO_CONTATO;

CREATE TABLE T_RHSTU_MEDICO_CONTATO
(
CD_MEDICO NUMBER,
ID_CONTATO NUMBER(3),
TIPO_CONTATO VARCHAR(10),
DS_CONTATO VARCHAR2(40)
);

ALTER TABLE T_RHSTU_MEDICO_CONTATO 
ADD CONSTRAINT PK_T_RHSTU_MEDICO_CONTATO PRIMARY KEY(CD_MEDICO, ID_CONTATO);

ALTER TABLE T_RHSTU_MEDICO_CONTATO
ADD CONSTRAINT FK_T_RHSTU_MEDICO_CONTATO_MEDICO FOREIGN KEY (CD_MEDICO)
REFERENCES T_RHSTU_MEDICO (CD_MEDICO);

ALTER TABLE T_RHSTU_MEDICO_CONTATO MODIFY (TP_CONTATO VARCHAR2(50));


ALTER TABLE T_RHSTU_MEDICO_CONTATO ADD ST_CONTATO CHAR(1);

ALTER TABLE T_RHSTU_MEDICO_CONTATO ADD CONSTRAINT CK_T_RHSTU_MEDICO_CONTATO_ST CHECK ( ST_CONTATO IN ('A','I'));

ALTER TABLE T_RHSTU_MEDICO_CONTATO MODIFY ( ST_CONTATO CONSTRAINT CK_T_RHSTU_MEDICO_CONTATO_ST_NN NOT NULL);

ALTER TABLE T_RHSTU_MEDICO_CONTATO MODIFY ( TP_CONTATO CONSTRAINT CK_T_RHSTU_MEDICO_CONTATO_TP_NN NOT NULL);

ALTER TABLE T_RHSTU_MEDICO_CONTATO ADD CONSTRAINT CK_T_RHSTU_MEDICO_CONTATO_TP CHECK ( TP_CONTATO IN ('TELEFONE FIXO','TELEFONE CELULAR', 'EMAIL', 'TELEFONE CONTATO'));

ALTER TABLE T_RHSTU_MEDICO_CONTATO DROP CONSTRAINT CK_T_RHSTU_MEDICO_CONTATO_TP;

ALTER TABLE T_RHSTU_MEDICO DROP COLUMN NR_CPF;

ALTER TABLE T_RHSTU_MEDICO ADD NR_CPF NUMBER(12);

ALTER TABLE T_RHSTU_MEDICO ADD CONSTRAINT UK_RHSTU_MEDICO UNIQUE (NR_CPF);


COMMENT ON TABLE T_RHSTU_MEDICO_CONTATO IS 
'A TABELA DO CONTATO DO MÉDICO É MUITO IMPORTANTE E SERÁ UTILIZADA PARA LOCALIZAR O MÉDICO QUANDO FOR NECESSÁRIO ACIONA-LO DE FORMA EMERGENCIAL';

COMMENT ON COLUMN T_RHSTU_MEDICO_CONTATO.DS_CONTATO IS 
'A DESCRICAO DO CONTATO É TULIZADO PARA IDENTIFICAR O NOME DA PESSOA QUE IRA LOCALIZAR O MÉDICO QUANDO NECESSÁRIO';

ALTER TABLE T_RHSTU_MEDICO_CONTATO ADD DT_CADASTRO DATE DEFAULT SYSDATE;

SELECT * FROM USER_TAB_COMMENTS
WHERE TABLE_NAME = 'T_RHSTU_MEDICO_CONTATO';

SELECT * FROM USER_COL_COMMENTS
WHERE TABLE_NAME = 'T_RHSTU_MEDICO_CONTATO';